Package org.drinkless.tdlib

# Class TdApi.InputStoryContentVideo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputStoryContent
org.drinkless.tdlib.TdApi.InputStoryContentVideo

Enclosing class:
  `TdApi`

public static class TdApi.InputStoryContentVideo extends TdApi.InputStoryContent
A video story.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputStoryContent

  `TdApi.InputStoryContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int[]`
  `addedStickerFileIds`
  File identifiers of the stickers added to the video, if applicable.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `double`
  `coverFrameTimestamp`
  Timestamp of the frame, which will be used as video thumbnail.
  `double`
  `duration`
  Precise duration of the video, in seconds; 0-60.
  `boolean`
  `isAnimation`
  True, if the video has no sound.
  `TdApi.InputFile`
  `video`
  Video to be sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputStoryContentVideo()`
  A video story.
  `InputStoryContentVideo(TdApi.InputFile video, int[] addedStickerFileIds, double duration, double coverFrameTimestamp, boolean isAnimation)`
  A video story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### video

    public TdApi.InputFile video
    Video to be sent. The video size must be 720x1280. The video must be streamable and stored in MPEG4 format, after encoding with H.265 codec and key frames added each second.

  - ### addedStickerFileIds

    public int[] addedStickerFileIds
    File identifiers of the stickers added to the video, if applicable.

  - ### duration

    public double duration
    Precise duration of the video, in seconds; 0-60.

  - ### coverFrameTimestamp

    public double coverFrameTimestamp
    Timestamp of the frame, which will be used as video thumbnail.

  - ### isAnimation

    public boolean isAnimation
    True, if the video has no sound.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputStoryContentVideo

    public InputStoryContentVideo()
    A video story.

  - ### InputStoryContentVideo

    public InputStoryContentVideo(TdApi.InputFile video, int[] addedStickerFileIds, double duration, double coverFrameTimestamp, boolean isAnimation)
    A video story.
    Parameters:
      `video` - Video to be sent. The video size must be 720x1280. The video must be streamable and stored in MPEG4 format, after encoding with H.265 codec and key frames added each second.
      `addedStickerFileIds` - File identifiers of the stickers added to the video, if applicable.
      `duration` - Precise duration of the video, in seconds; 0-60.
      `coverFrameTimestamp` - Timestamp of the frame, which will be used as video thumbnail.
      `isAnimation` - True, if the video has no sound.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputStoryContent`
    Returns:
      this.CONSTRUCTOR